<?php

			// compte nombre ligne dans le fichier
			$ptr=file("filtre_lave_linge.txt");
			$nb_lignes = count($ptr); 

			//ouverture du fichier en lecture seule
			$fp = fopen('filtre_lave_linge.txt', 'r');

			$chaine = "";

			if($fp)
			   { $ligne = 0;
			     //tant que l'on est pas à la fin du fichier
			     	while(!feof($fp))
				     {
				 	// on lit la ligne courante
					$buffer = fgets($fp);
					//echo $buffer;
					//echo "<br>";
				
					$virgule  = ',';
  					$position = strpos($buffer, $virgule);
					// detection d'un titre
					if($position == false && $buffer != "")
				  	{ 
				  	  $ch1 = "<tr>";
					  $ch2 = "<td colspan=\"2\" class=\"ProdSection\" height=\"25\">";
					  $ch3 = "<img src=\"../images/ProdSection.gif\" alt=\"\" width=\"10\" height=\"10\"> $buffer</td>";
					  $ch4 = "</tr>";
					  $chaine = $chaine .$ch1 .$ch2 .$ch3 .$ch4 ; 
				  	
				  	}	
					if($position == true && $buffer != "")
					  {  // description
				
						$morceau = explode(",", $buffer);
						//$morceau[0];
						//$morceau[1];
				
						if($ligne%2 ==0)
		       		  	  	{ // paire;
		       		    	    	  $ch1 = "<tr class=\"Prodfield1\">";	
		        	  	  	}
	    
		   	    	       		else  { // impair;
				    			$ch1 = "<tr class=\"Prodfield2\">";
		                  	     	      }

						$ch2 = "<td width=\"3%\" nowrap=\"nowrap\"><strong>$morceau[0]</strong></td> ";
						$ch3 = "<td width=\"97%\"><i>$morceau[1]</i>";	
						$ch4 = "</td>";
						$ch5 = "</tr>";

						//$chaine = $chaine .$ch1 ."<br>" .$ch2 ."<br>" .$ch3 ."<br>" .$ch4 ."<br>" .$ch5 ."<br>"; 
						$chaine = $chaine .$ch1 .$ch2 .$ch3 .$ch4 .$ch5 ; 
				
						$ligne = $ligne +1;
				         }
                              }
				fclose($fp);
			}

			$pizza  = "pièce1 pièce2 , pièce3 pièce4 pièce5 pièce6";
			$pieces = explode(",", $pizza);
			echo $chaine;
			//echo $pieces[0]; // pièce1
			//echo $pieces[1]; // pièce2


			$fichier01 = 'p1.php';
			$fichier02 = 'p2.php';


			// ouvrir fichier pour lire un contenu existant
			$current01 = file_get_contents($fichier01);
			$current02 = file_get_contents($fichier02);



			$concatenation = $current01 ."\r\n" .$chaine ."\r\n" .$current02;

			file_put_contents($fichier01, $concatenation);


//$retour_ligne = "\r\n"; 



//file_get_contents — Lit tout un fichier dans une chaîne
//file_put_contents — Écrit un contenu dans un fichier

//file_put_contents — Écrit une chaîne dans un fichier
// concatenation avec include


//ouvre le fichier en lecture en mode binaire et stock le file descriptor dans $fp
//$fp= fopen("file.txt","wb")
//Echou si le fichier n'est pas présent
//or die ("Fichier n'est pas accesible");
//insere 5er caractère texte dans le fichier file.txt
//fwrite($fp,"SAlut t reussi à ecrire dans le fichier",5);
//la fin du texte passé en argument n'est pas copié


//$fp = fopen("file.txt","r+" );
//fseek($fp,0,3);
//fputs($fp,"que de joies" );
//fclose($fp); 



//<tr class="Prodfield2">
//<td width="3%" nowrap="nowrap"><strong>Type de chargement</strong></td>
//<td width="97%"><i>Chargement Frontal</i>	
//</td>
//</tr>


/************************************************************************************/
// recupere le contenu du fichier
//$contents = file_get_contents("url du fichier");

// Ou Avec fopen, fread

//$fd = fopen($texte, 'r'); // Ouverture du fichier en lecture seule
//Récupère le contenu du fichier
// et le place dans une chaine de caractères ($contents)
//$contents = fread($fd, filesize($filename));
//fclose($fd); //Fermeture du fichier 

?>


